# Beispielprojekte

<p class="description">A selection of example projects to get started with.</p>

## Official examples

You can find some example projects in the [GitHub repository](https://github.com/mui-org/material-ui) under the [`/examples`](https://github.com/mui-org/material-ui/tree/master/examples) folder:

<!-- #default-branch-switch -->

- https://github.com/mui-org/material-ui/tree/master/examples/nextjs
- https://github.com/mui-org/material-ui/tree/master/examples/create-react-app
- [Gatsby](https://github.com/mui-org/material-ui/tree/next/examples/gatsby)
- [Gatsby Theme](https://github.com/mui-org/material-ui/tree/next/examples/gatsby-theme)
- [Preact](https://github.com/mui-org/material-ui/tree/next/examples/preact)
- [CDN](https://github.com/mui-org/material-ui/tree/next/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/next/examples/ssr)
- [Use styled-components as style engine](https://github.com/mui-org/material-ui/tree/next/examples/create-react-app-with-styled-components) ([TypeScript version](https://github.com/mui-org/material-ui/tree/next/examples/create-react-app-with-styled-components-typescript))

Create React App ist ein großartiges Projekt zum Lernen von React. Schauen Sie sich die [verfügbaren Alternativen an](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives) um zu sehen, welches Projekt am besten zu Ihnen passt.

Der Quellcode für diese Dokumentationsseite ist auch im Repository enthalten. Dies ist ein etwas komplexeres Projekt. Schauen Sie sich die Build-Anweisungen im [`/docs`](https://github.com/mui-org/material-ui/tree/master/docs) Ordner an.

## Fortgeschrittenere Beispielprojekte

If you want to start with a more complete and real-world example, you could take a look at the [premium themes & templates](https://material-ui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=example-projects-store) or:

### Kostenlos

- [GraphQL API and Relay Starter Kit](https://github.com/kriasoft/graphql-starter):

  - ![sterne](https://img.shields.io/github/stars/kriasoft/graphql-starter.svg?style=social&label=Star)
  - GraphQL API project using code-first design (TypeScript, OAuth, GraphQL.js, Knex, Cloud SQL)
  - Web application project pre-configured with Webpack v5, TypeScript, React, Relay, Material UI
  - Serverless deployment: `api` -> Cloud Functions, `web` -> Cloudflare Workers
  - Client-side page routing/rendering at CDN edge locations, lazy loading
  - Optimized for fast CI/CD builds and deployments using Yarn v2 monorepo design

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted):

  - ![sterne](https://img.shields.io/github/stars/TarikHuber/react-most-wanted.svg?style=social&label=Star)
  - Erstellt mit Create React App
  - Custom Create React App script to start a new project with just a single CLI command
  - Build for Firebase including Authentication using the official Firebase Web Auth UI
  - Routing with React Router including error handling (404) and lazy loading
  - All PWA features included (SW, Notifications, deferred installation prompt and more)
  - Optimized and scalable performance (all ~100 points on Lighthouse)

- [React SaaS Template](https://github.com/dunky11/react-saas-template):

  - ![sterne](https://img.shields.io/github/stars/dunky11/react-saas-template.svg?style=social&label=Star)
  - Erstellt mit Create React App
  - Features a landing page, a blog, an area to login/register and an admin-dashboard
  - Fully routed using react-router
  - Lazy loads components to boost performance
  - Components for statistics, text with emoji support, image upload and much more...

- [Material Sense](https://github.com/alexanmtz/material-sense):

  - ![sterne](https://img.shields.io/github/stars/alexanmtz/material-sense.svg?style=social&label=Star)
  - Diagramme mit recharts
  - React Router mit einem Navigationsbeispiel
  - Ein Docker-Container mit einem Nginx-Server für den Produktionsaufbau
  - Erstellt mit Create React App

- [RMUIF](https://github.com/phoqe/rmuif):

  - ![sterne](https://img.shields.io/github/stars/rmuif/web.svg?style=social&label=Star)
  - Bootstrapped with Create React App, the same tooling works from the get-go
  - Built on top of Firebase with all their products for the web included
  - Robust routing with React Router including protected routes and error handling
  - Extensive mobile support with full-screen dialogs and react-swipeable-views for tabs
  - Cross-platform application monitoring with a focus on error reporting with Sentry

### Kostenpflichtig

- [ScaffoldHub](https://scaffoldhub.io/?partner=1):

  - Build your complete application with this online tool
  - Choose your framework and library (React & Material-UI!)
  - Choose your database (SQL, MongoDB or Firestore)
  - Model your database and application with the intuitive GUI
  - Generate your application, including a complete scaffolded backend
  - Preview your application online, and download the generated code

- [Divjoy](https://divjoy.com?via=material-ui):

  - Create your Material-UI app in minutes.
  - You'll get a nice template, authentication, database integration, subscription payments, and more.
